Bug 179364 - Classpath not set correctly when debugging
Classpath not set correctly when debugging
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Debugger
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Erno Mononen
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-11 03:08 UTC by Erno Mononen
Modified: 2010-03-24 05:20 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erno Mononen 2010-01-11 03:08:03 UTC
See http://forums.netbeans.org/viewtopic.php?t=21930&sid=2b46aea52793f04f323756e910a75300

Workaround is to explicitly add

require 'myjar.jar' to the file.
Comment 1 Erno Mononen 2010-03-18 15:14:20 UTC
Fixed in 8776e6b8f1bf. Note that with more than one jar in the classpath this still doesn't work with JRuby 1.4.0 due to http://jira.codehaus.org/browse/JRUBY-4265. It works when running since in that case the IDE can use the -classpath switch, but the debugger has to set the classpath through the CLASSPATH env variable.
Comment 2 Quality Engineering 2010-03-24 05:20:17 UTC
Integrated into 'main-golden', will be available in build *201003240200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8776e6b8f1bf
User: Erno Mononen <emononen@netbeans.org>
Log: #179364 - Classpath not set correctly when debugging


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo